gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.BufferT

Contents

- Exported types
- Methods

Description

The main structure holding the input text and its properties before shaping, and output glyphs and their information after shaping.

Synopsis

- newtype BufferT = BufferT (ManagedPtr BufferT)

# Exported types

newtype BufferT Source #

Memory-managed wrapper type.

Constructors

BufferT (ManagedPtr BufferT) |

#### Instances

Instances details

Eq BufferT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BufferT Methods (==) :: BufferT -> BufferT -> Bool Source # (/=) :: BufferT -> BufferT -> Bool Source #
GBoxed BufferT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BufferT
ManagedPtrNewtype BufferT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BufferT Methods toManagedPtr :: BufferT -> ManagedPtr BufferT Source #
TypedObject BufferT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BufferT Methods glibType :: IO GType Source #
HasParentTypes BufferT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BufferT
IsGValue (Maybe BufferT) Source # | Convert `BufferT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.BufferT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe BufferT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe BufferT) Source #
type ParentTypes BufferT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BufferT type ParentTypes BufferT = '[] :: [Type]

# Methods